## ros-melodic-rocon-std-msgs 0.9.0

=== CMakeLists.txt ===
##############################################################################
# CMake
##############################################################################

cmake_minimum_required(VERSION 2.8.3)
project(rocon_std_msgs)

##############################################################################
# Dependencies
##############################################################################

find_package(catkin REQUIRED COMPONENTS 
    message_generation
    std_msgs
    rocon_service_pair_msgs
)

##############################################################################
# Messgaes
##############################################################################

add_message_files(
  DIRECTORY msg
  FILES
  Connection.msg
  ConnectionCacheSpin.msg
  ConnectionsDiff.msg
  ConnectionsList.msg
  Float32Stamped.msg
  Icon.msg
  KeyValue.msg
  MasterInfo.msg
  StringArray.msg
  Strings.msg
  Remapping.msg
)

add_service_files(
  DIRECTORY srv
  FILES
  EmptyString.srv
)

add_service_pair_files(
  DIRECTORY pairs
  FILES
  Strings.pair
)

generate_messages(DEPENDENCIES std_msgs rocon_service_pair_msgs)

##############################################################################
# Package
##############################################################################

catkin_package(CATKIN_DEPENDS
    message_runtime
    std_msgs
    rocon_service_pair_msgs
)

=== debian/changelog ===
ros-melodic-rocon-std-msgs (0.9.0-0bionic) bionic; urgency=high

  * adding type field (e.g. std_msgs/String) to the connection message

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 May 2016 04:00:00 -0000

ros-melodic-rocon-std-msgs (0.8.1-0bionic) bionic; urgency=high

  * a useful empty string service

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 10 Oct 2015 04:00:00 -0000

ros-melodic-rocon-std-msgs (0.8.0-0bionic) bionic; urgency=high

  * collapse platform info into master info
  * connection cache messages

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 18 Aug 2015 04:00:00 -0000

ros-melodic-rocon-std-msgs (0.7.11-0bionic) bionic; urgency=high

  * connections

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 27 May 2015 04:00:00 -0000

ros-melodic-rocon-std-msgs (0.7.10-0bionic) bionic; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 06 Apr 2015 04:00:00 -0000

ros-melodic-rocon-std-msgs (0.7.9-0bionic) bionic; urgency=high

  * merge indigo
  * add softwre farm tag
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 09 Feb 2015 05:00:00 -0000

ros-melodic-rocon-std-msgs (0.7.8-0bionic) bionic; urgency=high

  * strings for os
  * add gazebo robot type for export
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-melodic-rocon-std-msgs (0.7.6-0bionic) bionic; urgency=high

  * Export architecture_independent flag in package.xml
  * rocon_std_msgs: error: missing build_depend on 'genmsg'
    rocon_std_msgs: error: unconfigured build_depend on 'message_generation'
    rocon_std_msgs: error: unconfigured build_depend on 'uuid_msgs'
  * Contributors: Jihoon Lee, Scott K Logan

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-melodic-rocon-std-msgs (0.7.1-0bionic) bionic; urgency=high

  * igloo -> indigo
  * rocon_service -> concert_service
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Apr 2014 04:00:00 -0000

ros-melodic-rocon-std-msgs (0.7.0-0bionic) bionic; urgency=high

  * major redesign focusing on the orchestration platform prototype.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 29 Mar 2014 04:00:00 -0000

ros-melodic-rocon-std-msgs (0.6.3-0bionic) bionic; urgency=high

  * rocon_std_msgs centralises some app manager messages for sharing.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 30 Oct 2013 04:00:00 -0000

=== debian/control ===
Source: ros-melodic-rocon-std-msgs
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-rocon-service-pair-msgs, ros-melodic-std-msgs
Homepage: http://www.ros.org/wiki/rocon_std_msgs
Standards-Version: 3.9.2

Package: ros-melodic-rocon-std-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-rocon-service-pair-msgs, ros-melodic-std-msgs
Description: Standard messages used by other rocon specific package types.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rocon-std-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
